summaryrefslogtreecommitdiffstats
path: root/desktop
diff options
context:
space:
mode:
author David Woodfall2011-11-01 12:07:59 +0100
committer Niels Horn2011-11-01 12:07:59 +0100
commitb81cc9da63850e860c3905dad01b9eac216b74fb (patch)
tree904f299b8e2648aa745f3078de7156367e74b693 /desktop
parent5331682a26ab2104f07e1dcc45a6857ac9773b01 (diff)
downloadslackbuilds-b81cc9da63850e860c3905dad01b9eac216b74fb.tar.gz
desktop/catfish: Added (A versatile file searching tool)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'desktop')
-rw-r--r--desktop/catfish/README16
-rw-r--r--desktop/catfish/catfish.SlackBuild83
-rw-r--r--desktop/catfish/catfish.info10
-rw-r--r--desktop/catfish/doinst.sh10
-rw-r--r--desktop/catfish/slack-desc18
5 files changed, 137 insertions, 0 deletions
diff --git a/desktop/catfish/README b/desktop/catfish/README
new file mode 100644
index 0000000000..c6d68a1b6e
--- /dev/null
+++ b/desktop/catfish/README
@@ -0,0 +1,16 @@
+Catfish is a frontend for different search engines (daemons). The interface
+is intentionally lightweight and simple, using only GTK+ 2. You can
+configure it to your needs by using several command line options.
+
+Supported backends:
+
+find, (s)locate, doodle, tracker, beagle, strigi and pinot
+
+Optional requirement: pyxdg
+
+pyxdg is optional but strongly recommended by the developer.
+
+NB: Catfish can be integrated into Thunar as a search option. A small howto
+can be found here:
+
+http://www.dawoodfall.net/index.php/8-pages/news/35-integrating-catfish-into-thunar
diff --git a/desktop/catfish/catfish.SlackBuild b/desktop/catfish/catfish.SlackBuild
new file mode 100644
index 0000000000..4f49b07e9c
--- /dev/null
+++ b/desktop/catfish/catfish.SlackBuild
@@ -0,0 +1,83 @@
+#!/bin/sh
+
+# Slackware build script for catfish
+# Original Slackbuild Copyright 2008 Frank Caraballo
+# Edits Copyright 2011 David Woodfall <dave@dawoodfall.net>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=catfish
+VERSION=${VERSION:-0.3.2}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+ARCH="noarch"
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+./configure \
+ --prefix=/usr
+
+make
+make install DESTDIR=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+rm $PKG/usr/share/catfish/catfish.svg
+rm $PKG/usr/share/catfish/locale
+ln -s /usr/share/icons/hicolor/scalable/apps/catfish.svg \
+ $PKG/usr/share/catfish/catfish.svg
+ln -s /usr/share/locale $PKG/usr/share/catfish/locale
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS COPYING ChangeLog INSTALL README TODO \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+mv $PKG/usr/share/doc/$PRGNAM/* $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+# Set some saner permissions.
+chmod 0644 $PKG/usr/doc/$PRGNAM-$VERSION/*
+find $PKG/usr/share/ -type f -exec chmod 0644 {} \;
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/desktop/catfish/catfish.info b/desktop/catfish/catfish.info
new file mode 100644
index 0000000000..4a54c7bc73
--- /dev/null
+++ b/desktop/catfish/catfish.info
@@ -0,0 +1,10 @@
+PRGNAM="catfish"
+VERSION="0.3.2"
+HOMEPAGE="http://twotoasts.de/index.php?/pages/catfish_summary.html"
+DOWNLOAD="http://www.twotoasts.de/media/catfish/catfish-0.3.2.tar.gz"
+MD5SUM="b28db355094bfbe7de097678e91ce271"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="David Woodfall"
+EMAIL="dave@dawoodfall.net"
+APPROVED="Niels Horn"
diff --git a/desktop/catfish/doinst.sh b/desktop/catfish/doinst.sh
new file mode 100644
index 0000000000..1f8ff67ded
--- /dev/null
+++ b/desktop/catfish/doinst.sh
@@ -0,0 +1,10 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
+
+if [ -e usr/share/icons/hicolor/icon-theme.cache ]; then
+ if [ -x /usr/bin/gtk-update-icon-cache ]; then
+ /usr/bin/gtk-update-icon-cache usr/share/icons/hicolor >/dev/null 2>&1
+ fi
+fi
+
diff --git a/desktop/catfish/slack-desc b/desktop/catfish/slack-desc
new file mode 100644
index 0000000000..51cb54f6e4
--- /dev/null
+++ b/desktop/catfish/slack-desc
@@ -0,0 +1,18 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+ |-----handy-ruler------------------------------------------------------|
+catfish: Catfish (A versatile file searching tool)
+catfish:
+catfish: Catfish is a frontend for different search engines (daemons). The
+catfish: interface is intentionally lightweight and simple, using only GTK+ 2.
+catfish: You can configure it to your needs by using several command line
+catfish: options.
+catfish:
+catfish: Homepage: http://twotoasts.de/index.php?/pages/catfish_summary.html
+catfish:
+catfish:
+catfish: